@import url("https://use.typekit.net/brj7bnd.css");
@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
	:root {
		--primary-lowest: 213 100% 40%;
		--primary-lower: 213 100% 33%;
		--primary: 213 97% 27%;
		--primary-higher: 213 87% 21%;
		--primary-highest: 213 77% 15%;
		--on-primary: 0 0% 100%;
		--primary-container: 213 100% 96%;
		--primary-container-higher: 213 100% 91%;
		--primary-container-highest: 213 100% 84%;
		--on-primary-container: 213 97% 27%;
		--primary-outline-lower: 213 100% 84%;
		--primary-outline: 213 100% 74%;
		--primary-outline-higher: 213 100% 61%;
		--primary-outline-highest: 213 100% 55%;
	}
	.dark {
		--primary-lowest: 213 77% 15%;
		--primary-lower: 213 87% 21%;
		--primary: 213 97% 27%;
		--primary-higher: 213 100% 33%;
		--primary-highest: 213 100% 40%;
		--on-primary: 0 0% 100%;
		--primary-container: 213 77% 15%;
		--primary-container-higher: 213 87% 21%;
		--primary-container-highest: 213 97% 27%;
		--on-primary-container: 213 100% 84%;
		--primary-outline-lower: 213 87% 21%;
		--primary-outline: 213 97% 27%;
		--primary-outline-higher: 213 100% 33%;
		--primary-outline-highest: 213 100% 40%;
	}
	:root {
		--default-border-radius: 0.125rem;
	}
}

[x-cloak] {
	display: none !important;
}

.content {
	blockquote,
	dl,
	dd,
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	hr,
	figure,
	p,
	pre {
		margin: revert;
	}

	h1,
	h2,
	h3,
	h4,
	h5,
	h6 {
		font-size: revert;
		font-weight: revert;
	}

	ol,
	ul {
		list-style: revert;
		margin: revert;
		padding: revert;
	}

	img,
	svg,
	video,
	canvas,
	audio,
	iframe,
	embed,
	object {
		display: revert;
		vertical-align: revert;
	}

	table {
		border-collapse: collapse;
	}
	table:not([cellpadding]) td,
	table:not([cellpadding]) th {
		padding: 0.4rem;
	}
	table[border]:not([border="0"]):not([style*="border-width"]) td,
	table[border]:not([border="0"]):not([style*="border-width"]) th {
		border-width: 1px;
	}
	table[border]:not([border="0"]):not([style*="border-style"]) td,
	table[border]:not([border="0"]):not([style*="border-style"]) th {
		border-style: solid;
	}
	table[border]:not([border="0"]):not([style*="border-color"]) td,
	table[border]:not([border="0"]):not([style*="border-color"]) th {
		border-color: #ccc;
	}
}

/* select2 */
/* select2 style */
.select2-container {
	@apply relative box-border inline-block align-middle;
}

.select2-container .select2-selection {
	@apply w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-1 focus:ring-primary-outline-highest peer-data-[invalid=true]:border-error-outline peer-data-[invalid=true]:ring-error-outline-highest peer-data-[invalid=true]:focus:border-error-outline-highest;
}

.select2-container.select2-container--disabled .select2-selection {
	@apply cursor-not-allowed text-on-surface-lower outline-none focus:border-surface-outline-lower focus:ring-0;
}

.select2-container .select2-selection--single {
	@apply flex flex-wrap items-center gap-2;
}

.select2-container .select2-selection--single .select2-selection__rendered {
	@apply block select-none truncate text-on-surface;
}

.select2-selection__arrow {
	@apply absolute right-3 size-2 rotate-45 border-b-2 border-r-2 border-on-surface-lower;
}

.select2-selection__placeholder {
	@apply text-on-surface-lower;
}

.select2-dropdown {
	@apply absolute z-50 mt-2 box-border block max-h-96 w-full overflow-y-auto rounded-default border border-surface-outline-lower bg-surface-container;
}

.select2-search:not(.select2-search--inline) {
	@apply block px-3 pt-3;
}

.select2-search:not(.select2-search--inline) .select2-search__field {
	@apply block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest;
}

.select2-search:not(.select2-search--inline) .select2-search__field::-webkit-search-cancel-button {
	@apply appearance-none;
}

.select2-results__options {
	@apply p-3 text-sm text-on-surface;
}

.select2-results__options.select2-results__options--nested {
	@apply px-0 py-2;
}

.select2-results__option--selectable {
	@apply select-none rounded p-2 text-sm font-medium text-on-surface;
}

.select2-results__option--selectable.select2-results__option--highlighted {
	@apply bg-surface-container-higher;
}

.select2-results__option.select2-results__option--disabled {
	@apply cursor-not-allowed select-none rounded p-2 text-sm font-medium text-on-surface-lower hover:bg-surface-container-higher;
}

.select2-results__option.select2-results__message {
	@apply text-sm font-normal text-error;
}

/* select2 multiple */
.select2-container .select2-selection--multiple {
	@apply relative box-border inline-block h-[45.6px] overflow-hidden align-middle has-[li]:h-auto;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
	@apply inline w-fit space-x-1 space-y-1;
}

.select2-container .select2-selection__rendered .select2-selection__choice {
	@apply inline-block w-fit select-none rounded bg-surface-container-higher text-on-surface hover:bg-surface-container-highest;
}

.select2-selection--multiple .select2-selection__choice__remove {
	@apply inline-block rounded-s bg-surface-container-higher px-2.5 py-1.5 hover:bg-error hover:text-on-error;
}

.select2-selection__choice__display {
	@apply inline-block px-2.5 py-1.5;
}

.select2-container .select2-search--inline {
	@apply box-border inline-block h-5 overflow-hidden;
}

.select2-search .select2-search--inline [type="search"].select2-search__field,
.select2-search--inline textarea.select2-search__field {
	@apply bg-transparent text-on-surface placeholder-on-surface-lower;
	height: 20px;
	overflow: hidden;
	appearance: none;
	border-color: #6b7280;
	border-width: 0px;
	border-radius: 0px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
	padding-left: 0px;
	font-size: 14px;
	line-height: 20px;
	--tw-shadow: none;
	-webkit-appearance: textfield;
	resize: none;
	/* vertical-align: middle; */
}

.select2-search .select2-search--inline [type="search"].select2-search__field:focus,
.select2-search--inline textarea.select2-search__field:focus {
	outline: none;
	outline-offset: 0px;
}

/* pagination */
.pagination {
	@apply inline-flex items-center divide-x overflow-hidden rounded-default border border-surface-outline-lower;
}

.pagination .page-item {
	@apply ml-0 block bg-surface-container px-3 py-2 leading-tight text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface;
}

.pagination .page-item.active {
	@apply bg-primary text-on-primary;
}

.page-size-selector {
	@apply block w-full rounded-default border border-surface-outline-lower bg-surface-container-highest p-2 text-sm text-on-surface focus:border-primary focus:ring-primary;
}
